package de.hsel.itech.db.pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NonNull;

/**
 * POJO for PayPal Payment.
 *
 * @author Johannes Theiner
 * @version 0.1
 * @since 0.1
 **/

@EqualsAndHashCode(callSuper = true)
@Data
public class PayPalPayment extends Payment{

    @NonNull private User user;
    @NonNull private String email;
    @NonNull private String authCode;

    public PayPalPayment(long id, User user, String email, String authCode) {
        super(id, new PaymentType(2, "PayPal"));
        this.user = user;
        this.email = email;
        this.authCode = authCode;
    }
}