package de.hsel.itech.db.pojo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NonNull;
import lombok.RequiredArgsConstructor;

/**
 * POJO for DebitCard Payment.
 *
 * @author Johannes Theiner
 * @version 0.1
 * @since 0.1
 **/

@Data
@RequiredArgsConstructor
public class DebitCardPayment extends Payment{

    @NonNull private User user;
    @NonNull private String iban;
    @NonNull private String bic;
    @NonNull private String owner;
}